#ifndef HISTORYWINDOW_H
#define HISTORYWINDOW_H

//#include "mapeditor.h"
#include "settings.h"
#include "ui_historywindow.h"


class MapEditor;

/////////////////////////////////////////////////////////////////////////////
class HistoryWindow:public QDialog
{
	Q_OBJECT

public:
	HistoryWindow(QWidget* parent = 0);
	void update (SimpleSettings &);
	void setME (MapEditor *);
	void setStepsTotal (int);

private slots:	
	void undo();
	void redo();
	void select();

private:
	void updateRow (int, int, SimpleSettings &);
	Ui::HistoryWindow ui;
	MapEditor *mapEditor;
};


#endif
